Bug 125660 - COMPARE DOCUMENTS: Crash in swlo!SwRedlineData::SetSeqNo
Summary: COMPARE DOCUMENTS: Crash in swlo!SwRedlineData::SetSeqNo
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: high major
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Document-Comparison
  Show dependency treegraph
 
Reported: 2019-06-03 16:09 UTC by Telesto
Modified: 2019-06-25 23:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["sw::UpdateFramesForAddDeleteRedline(SwDoc &,SwPaM const &)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2019-06-03 16:09:01 UTC
Description:
Crash in swlo!SwRedlineData::SetSeqNo

Steps to Reproduce:
1. Open attachment 151856 [details]
2. Download attachment 141990 [details]
3. Edit -> Track changes -> Compare documents & select attachment 141990 [details]
4. Accept all in the dialog & close
5. Repeat step 3/4
6. Press CTRL+Z -> Crash

Actual Results:
Crash

Expected Results:
No Crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.0.alpha0+ (x86)
Build ID: 93477d1a963e38e3319013e43835a8ffef200972
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-02_10:16:52
Locale: it-IT (nl_NL); UI-Language: en-US
Calc: threaded
Comment 1 Dieter Praas 2019-06-03 16:38:18 UTC
No repro with

Version: 6.3.0.0.beta1 (x64)
Build ID: a187af327633f5f00363be5131bd21a13e0f1a7b
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (de_DE); UI-Language: en-GB
Calc: threaded
Comment 2 raal 2019-06-03 19:02:32 UTC
Confirm crash with Version: 6.3.0.0.alpha1+
Build ID: 53325b40b557cc84d8d21c1baa0ef8d3bfc00ab8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 

redline - add Samuel to cc
Comment 3 Telesto 2019-06-03 19:54:43 UTC
@Raal
Slightly confused: Redline = Michael Stahl; as far I know
Comment 4 raal 2019-06-03 20:28:50 UTC
(In reply to Telesto from comment #3)
> @Raal
> Slightly confused: Redline = Michael Stahl; as far I know

Sorry, my fault
Comment 5 Xisco Faulí 2019-06-04 13:30:15 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d258fc29560baa5ecae03ebc2740e11420643e27

author	Michael Stahl <Michael.Stahl@cib.de>	2018-09-03 18:07:29 +0200
committer	Michael Stahl <Michael.Stahl@cib.de>	2018-09-19 10:18:29 +0200
commit	d258fc29560baa5ecae03ebc2740e11420643e27 (patch)
tree	b934fcbe96f5f433e05f365edc438499de63d671
parent	f32075fd7404dba62ae844cff84fdb43a91ac600 (diff)
sw_redlinehide_2: update frames on redline ops

Bisected with: bibisect-linux64-6.2

Adding Cc: to Michael Stahl
Comment 6 Xisco Faulí 2019-06-04 13:33:40 UTC
In my case I can reproduce it with the following steps:
1. Compare both documents
2. Accept all the changes
3. Close the track changes dialog
4. Undo
Comment 7 Michael Stahl (CIB) 2019-06-20 08:20:50 UTC
fixed on master
Comment 8 Commit Notification 2019-06-20 08:21:28 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/edca548f865f4c19f213c1386905ec3591326461%5E%21

tdf#125660 sw_redlinehide: don't create redlines for GrfNode/OLENode

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-06-20 16:09:27 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/da23e848b697a22b5cc8ea2e0dbfb38dfa0b3d66%5E%21

tdf#125660 sw_redlinehide: don't create redlines for GrfNode/OLENode

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-06-21 13:09:29 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/315a43ec55895648e1c3a2a5cb7d1615099bf04c%5E%21

tdf#125660 sw_redlinehide: don't create redlines for GrfNode/OLENode

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2019-06-25 09:09:44 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 52800731baf9fcb88e54d60de5585640c8f97f7b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!
Comment 12 Commit Notification 2019-06-25 15:19:55 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-5":

https://git.libreoffice.org/core/+/de572b2973ebddd8e368e8441bb2831be893cc44%5E%21

tdf#125660 sw_redlinehide: don't create redlines for GrfNode/OLENode

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.